Talk:RTorrent/RuTorrent

From ArchWiki
Jump to navigation Jump to search

Hi,

with apache2.4 the module mod_scgi is loaded with an error:

httpd: Syntax error on line ? of /etc/httpd/conf/httpd.conf: Cannot load modules/mod_scgi.so into server: /etc/httpd/modules/mod_scgi.so: undefined symbol: ap_get_server_version

Will this behaviour be fixed with an update in the mod_scgi package? Or do I need to change my configuration to use scgi proxy (don't know what this module does, yet)

Maybe you can give me some hints. I'm willing to work out the solution then.

Best regards, (Watnuss (talk) 20:48, 8 March 2014 (UTC))

Severely outdated

Hi all,

I've been looking into setting up rTorrent/ruTorrent and the wiki pages for both are _severely_ outdated.

A lot of information is repeated on the ruTorrent page, and many sections are irrelevant.

I will start looking into saner documentation and hopefully add it to this wiki, but I have zero objections if anyone else is to do the same!

Grawlinson (talk) 09:26, 11 August 2019 (UTC)

The wiki pages are current, in respect to installing rTorrent and configuring an RPC socket. I have previously edited the wiki pages for using ruTorrent with nginx with an RPC socket as it was outdated using SCGI mountpoints, but I have no experience with lighttpd or Apache to make the relevant changes.
As far as I'm aware, there have been no further changes to configs or steps required to setup to an rTorrent/ruTorrent install since little updates are pushed from upstream requiring a major overhaul of the pages here.
A lot of info may be repeated or appear irrelevent, but will be relevant to the particulars of what software the user is using, i.e. Apache over nginx, but I agree that an update is required on how to configure apache and lighttpd to use an RPC socket.
If you have met certain obstacles in configuring your setup, it may be worth posting to the forums, then updating the wiki. Or flag the sections as out of date where it can be reviewed.
Abzie (talk) 10:34, 11 August 2019 (UTC)